ubuntu-settings (26.04.6) resolute; urgency=medium

  * Drop spurious ubuntu-default-launchers.pot from the previous upload.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 27 Feb 2026 16:30:12 +0800

ubuntu-settings (26.04.5) resolute; urgency=medium

  * Override new setting org.gnome.shell:start-in-overview to be false so
    we get back the Ubuntu login animation.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 27 Feb 2026 16:18:12 +0800

ubuntu-settings (26.04.4) resolute; urgency=medium

  * Add new icon for gnome-initial-setup

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 12 Feb 2026 00:29:35 +0100

ubuntu-settings (26.04.3) resolute; urgency=medium

  * Drop settings for nonexistent ubuntu-wayland session

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 23 Jan 2026 17:21:26 +0100

ubuntu-settings (26.04.2) resolute; urgency=medium

  * Use SVG Ubuntu logo in GDM

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 11 Dec 2025 11:52:18 +0100

ubuntu-settings (26.04.1) resolute; urgency=medium

  * Remove obsolete ubuntu-touch-settings binary package (LP: #2109857)
  * Install netplan file to /usr/lib/ instead of /lib/
  * Update Epiphany search providers gsettings key
  * Bump debhelper compat to 13
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 29 Nov 2025 16:38:52 -0500

ubuntu-settings (25.10.6) questing; urgency=medium

  * Repair merge mistakes introduced in 25.10.5:
    - debian/ubuntu-settings.gsettings-override: font change reverted
    - debian/changelog: incorrect entry for 25.10.4

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 23 Sep 2025 17:00:48 +0800

ubuntu-settings (25.10.5) questing; urgency=medium

  * ubuntu-settings.gsettings-override: Disable GNOME donation reminders.
    This was previously disabled through a patch in gnome-settings-daemon.
    (LP: #2125267)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 17:36:58 +0200

ubuntu-settings (25.10.4) questing; urgency=medium

  * Reduce the default GNOME monospace font size from 13 to 11, matching
    the user interface font size. As discussed between Desktop and Design
    teams.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 03 Sep 2025 10:07:29 +0800

ubuntu-settings (25.10.3) questing; urgency=medium

  * debian/ubuntu-settings.gsettings-override: Update yelp desktop file name
    (LP: #2120564)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 22 Aug 2025 19:22:39 +0200

ubuntu-settings (25.10.2) questing; urgency=medium

  * data/ubuntu/00-network-manager-all.yaml	:
    - workaround a netplan limitation leading to the file comments being
      removed on config refresh which confuses debsums (LP: #2078759)

 -- Bin Li <binli@ubuntu.com>  Wed, 25 Jun 2025 09:38:28 +0200

ubuntu-settings (25.10.1) questing; urgency=medium

  * Update PGP keyservers to include keys.openpgp.org

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 10 Jun 2025 16:28:13 +0200

ubuntu-settings (24.10.3) oracular; urgency=medium

  * Set default background in GDM gnome-initial-setup session.
    Use ubuntu default background when using the GNOME greeter session that
    is default when using gnome-initial-setup from GDM (LP: #2077741)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 29 Aug 2024 19:37:09 +0200

ubuntu-settings (24.10.2) oracular; urgency=medium

  * ubuntu-settings.gsettings-override: Set default accent color to orange

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 06 Aug 2024 02:12:44 -0600

ubuntu-settings (24.10.1) oracular; urgency=medium

  * Drop obsolete evolution-data-server notify-with-tray override (LP: #2072574)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 15:10:54 -0400

ubuntu-settings (24.04.3) noble; urgency=medium

  * ubuntu-settings.gsettings-override:
    update some of the favorite-apps entries
    - use the right name for the new bootstrap install
    - don't include ubiquity
    - update the .desktop for rhythmbox and evolution

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 22 Mar 2024 11:26:08 +0100

ubuntu-settings (24.04.2) noble; urgency=medium

  * Update GNOME Shell favorites list for Thunderbird snap

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Mar 2024 18:44:57 -0400

ubuntu-settings (24.04.1) noble; urgency=medium

  * ubuntu-settings.gsettings-override:
    - use the new 'Ubuntu Sans' fonts by default

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Mar 2024 21:20:28 +0100

ubuntu-settings (23.10.6) noble; urgency=medium

  * Remove ubuntu-raspi-settings{,-desktop,-server} packages; these are now
    produced by the ubuntu-raspi-settings package (LP: #2039104)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 06 Nov 2023 09:21:35 +0000

ubuntu-settings (23.10.5) mantic; urgency=medium

  * ubuntu-raspi-settings: Add macb ethernet driver to the eth0 rename list
    to support Raspberry Pi 5 (LP: #2037642)
  * ubuntu-raspi-settings: Use uaccess instead of group membership to control
    access to GPIO devices (LP: #1923363)
  * ubuntu-settings, ubuntu-raspi-settings-desktop: Override lintian warnings
    about netplan configuration mode and growroot.service

 -- Dave Jones <dave.jones@canonical.com>  Fri, 22 Sep 2023 11:13:46 +0100

ubuntu-settings (23.10.4) mantic; urgency=medium

  * ubuntu-settings.gsettings-override: Drop obsolete toggle-shaded override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 11:42:34 -0400

ubuntu-settings (23.10.3) mantic; urgency=medium

  * ubuntu-settings:
    - updated the gnome launcher configuration for the new snap-store
      .desktop's naming

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Sep 2023 13:39:30 +0200

ubuntu-settings (23.10.2) mantic; urgency=medium

  * ubuntu-settings: set a different dark wallpaper default

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Aug 2023 17:26:01 +0200

ubuntu-settings (23.10.1) mantic; urgency=medium

  * ubuntu-settings: migrated (unowned, livecd-rootfs hack based) netplan
    network-manager configuration to /lib/netplan from /etc/netplan
    (LP: #2020110)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 18 May 2023 15:34:12 +0100

ubuntu-settings (23.04.5) lunar; urgency=medium

  * ubuntu-raspi-settings-desktop: Don't attempt to prepare oem-config in
    postinst; there's no guarantee oem-config is installed yet and it cannot
    be a dependency as it's uninstalled after first boot (LP: #2016285)
  * ubuntu-raspi-settings-desktop: Don't attempt to expand an already expanded
    rootfs (LP: #2016286)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 14 Apr 2023 11:13:13 +0100

ubuntu-settings (23.04.4) lunar; urgency=medium

  [ Dave Jones ]
  * ubuntu-raspi-settings-desktop: migrated livecd-rootfs hacks that
    introduce mkswap.service and swapfile.swap (LP: #2004430)
  * ubuntu-raspi-settings-desktop: migrated netplan network-manager
    configuration (LP: #2004430)
  * ubuntu-raspi-settings-desktop: add growroot-almost service to expand
    root fs leaving 16MB slack for potential LUKS encapsulation (LP: #2013080)
  * Bump standards version to current (4.6.2)

  [ William 'jawn-smith' Wilson ]
  * Add oem-config-setup to ubuntu-raspi-settings-desktop.postinst
    (LP: #2011722)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 28 Mar 2023 13:48:22 +0100

ubuntu-settings (23.04.3) lunar; urgency=medium

  * gnome-initial-setup.desktop: Set StartupWMClass to fix app name & icon
    (LP: #2009886)
  * gnome-initial-setup.desktop: Also set X-GNOME-HiddenUnderSystemd=true
    as done upstream

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Mar 2023 16:40:09 -0400

ubuntu-settings (23.04.2) lunar; urgency=medium

  * Restore changes from 22.10.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Dec 2022 06:40:48 -0500

ubuntu-settings (23.04.1) lunar; urgency=medium

  * ubuntu-settings.gsettings-override: Move some more overrides from
    vanilla-gnome-default-settings

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Dec 2022 19:39:10 -0500

ubuntu-settings (22.10.1) kinetic; urgency=medium

  * Add ubuntu-raspi-settings-desktop package, adding z3fold and zstd modules
    to the Ubuntu Desktop on Raspberry Pi (LP: #1977764)
  * Add ubuntu-raspi-settings-server package, adding 99-fake-cloud.cfg
    to the Ubuntu Server on Raspberry Pi (LP: #1989807)
  * Moved network-manager and polkit settings (which are desktop-specific)
    from ubuntu-raspi-settings to ubuntu-raspi-settings-desktop
  * Bump standards version to current (4.6.0.1)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 20 Jul 2022 11:55:13 +0100

ubuntu-settings (22.04.6) jammy; urgency=medium

  * data/ubuntu/applications/gnome-initial-setup.desktop.in:
    - use the new logo icon for the ubuntu session override desktop entry
      (lp: #1966115)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 04 Apr 2022 22:05:07 +0200

ubuntu-settings (22.04.5) jammy; urgency=medium

  * ubuntu-settings.gsettings-override: Set dark wallpaper same as light

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 17 Mar 2022 22:11:05 -0400

ubuntu-settings (22.04.4) jammy; urgency=medium

  * ubuntu-settings.gsettings-override: Dispose desktop icons on bottom-right
    Ubuntu by default shows the launcher on the left side, so disposing the
    icons in the same area may make the desktop to look quite cluttered.
    To avoid this, just dispose icons starting from bottom right corner (but
    keeping them ordered by name).
    In any case this can be changed from settings or right-click.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Mar 2022 02:07:53 +0100

ubuntu-settings (22.04.3) jammy; urgency=medium

  * debian/ubuntu-settings.gsettings-override:
    - display Ubuntu Pro notifications in Ubuntu sessions

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Feb 2022 11:12:31 +0100

ubuntu-settings (22.04.2) jammy; urgency=medium

  * d/ubuntu-raspi-settings.maintscript: Remove the pre-jammy netplan eth0
    rules; the newer netplan chokes on the space-separated driver filter
    (LP: #1961618)
  * meson.build: Remove incorrect positional param

 -- Dave Jones <dave.jones@canonical.com>  Mon, 21 Feb 2022 17:28:05 +0000

ubuntu-settings (22.04.1) jammy; urgency=medium

  * Reinstate changes from 21.04.3:
    - Adding 99-gpio.rules udev rules for Raspberry Pi GPIO functionality
      (LP: #1923672)
    - Replace netplan eth0 renaming rules for raspi with networkd link unit
      (LP: #1922266)
  * Override initramfs compression to lz4 to prevent OOM on 512MB platforms,
    and add a dependency on lz4 to d/control (LP: #1950214)
  * d/control: Correct spelling of raspberry

 -- Dave Jones <dave.jones@canonical.com>  Wed, 15 Dec 2021 15:29:10 +0100

ubuntu-settings (21.10.4) impish; urgency=medium

  [ Olivier Tilloy ]
  * ubuntu-settings.gsettings-override:
    - Update the dock's gsetting override to pin the launcher for the
      firefox snap (LP: #1943840).

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Sep 2021 11:39:23 +0200

ubuntu-settings (21.10.3) impish; urgency=medium

  * ubuntu-settings.gsettings-override:
    - include the new installer .desktop in the default launcher favorites,
      similar to what is done for ubiquity

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Jul 2021 13:39:38 +0200

ubuntu-settings (21.10.2) impish; urgency=medium

  * ubuntu-settings.gsettings-override: Hide trash and volume icons on desktop.
    We already show them in the dock, so there's no point to duplicate them

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 07 Jul 2021 08:44:18 +0200

ubuntu-settings (21.10.1) impish; urgency=medium

  * d/ubuntu-settings.gsettings-override: Only set old g-s-d keys in unity.
    These were removed as part of g-s-d 3.18, so they don't do anything for
    long time.
    In the unity session they're instead relevant via the unity schema, so
    move them into that scope.
  * d/ubuntu-settings.gsettings-override: Move font-antialiasing into interface
    g-s-d setting has been moved to desktop-interface schema starting from
    version 40, so we need to adapt to this change
  * debian/control: Depend on gsettings-desktop-schemas 40.
    Even if this is not an hard dependency, we define overrides for keys
    that are available only starting from gnome 40, so let's depend on it to
    make it clearer.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 11 Jun 2021 00:10:22 +0200

ubuntu-settings (21.04.2) hirsute; urgency=medium

  * debian/ubuntu-raspi-settings.gsettings-override: Drop Gorilla wallpaper override.
    This was for Groovy only. After this release we're using the standard
    default wallpaper on RPi systems.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 13 Apr 2021 17:00:21 +0100

ubuntu-settings (21.04.1) hirsute; urgency=medium

  * debian/ubuntu-settings.gsettings-override:
    - use the same power options between session and greeter. (LP: #1902898)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 25 Feb 2021 13:07:54 +0100

ubuntu-settings (20.10.3) groovy; urgency=medium

  [ Dave Jones ]
  * Disable suspend action on Raspberry Pi
  * Remove redundant "/" operator in the raspi meson.build definitions

  [ Iain Lane ]
  * Install disable-suspend.pkla to /var/lib/polkit-1.
    This is for the distro, per
    https://www.freedesktop.org/software/polkit/docs/0.105/pklocalauthority.8.html
  * Use standard meson vars to define /etc and /var/lib
  * Unrelease and fix version

 -- Dave Jones <dave.jones@canonical.com>  Wed, 14 Oct 2020 17:42:09 +0100

ubuntu-settings (20.10.2) groovy; urgency=medium

  * Install a GSettings override for ubuntu-raspi-settings to use the new
    Raspberry Pi specific wallpaper (for Groovy).

 -- Iain Lane <iain.lane@canonical.com>  Wed, 07 Oct 2020 18:07:41 +0100

ubuntu-settings (20.10.1) groovy; urgency=medium

  * Add a new ubuntu-raspi-settings package. This contains some tweaks needed
    for Raspberry Pi devices. Currently:
    - Turn off wifi powersaving (Martin Wimpress)
    - Rename the ethernet interface to eth0 (Dave Jones)

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 30 Sep 2020 15:32:12 +0100

ubuntu-settings (20.04.5) focal; urgency=medium

  * ubuntu-settings.gsettings-override:
    - updated the launcher default icons to include snap-store instead of
      gnome-software, reflecting the default installation choice

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Apr 2020 11:52:39 +0200

ubuntu-settings (20.04.4) focal; urgency=medium

  * Add '' around value name, otherwise glib can't find the overriden key

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 27 Jan 2020 11:04:05 +0100

ubuntu-settings (20.04.3) focal; urgency=medium

  * Override info/texdoctk.desktop to not be displayed in Ubuntu sessions

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Jan 2020 15:07:23 +0200

ubuntu-settings (20.04.2) focal; urgency=medium

  * Switch terminal to dark variant under ubuntu session to have a better
    match with Yaru theme.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 24 Jan 2020 08:08:07 +0100

ubuntu-settings (20.04.1) focal; urgency=medium

  * Drop ubuntu-web-launchers package. It is no longer installed by default,
    and consequently no longer necessary in the archive.
  * control, rules: Switch to compat 12 and dh_missing

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 22 Jan 2020 15:10:54 +0000

ubuntu-settings (19.10.4) eoan; urgency=medium

  * ubuntu-settings.gsettings-override:
    - Remove SKS network from keyserver defaults, that's following the
      upstream gcr, see https://gitlab.gnome.org/GNOME/gcr/commit/b841b1f2

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Oct 2019 13:38:51 +0200

ubuntu-settings (19.10.3) eoan; urgency=medium

  * ubuntu-settings.gsettings-override:
    - set the rhythmbox alternative-toolbar default in the ubuntu session
      to use the csd decoration as it was before

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Oct 2019 00:18:57 +0200

ubuntu-settings (19.10.2) eoan; urgency=medium

  [ Khurshid Alam ]
  * Remove screensaver override for unity
    Unity is now using it's own schema for media keys. See LP: #1842324

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 21 Sep 2019 13:19:29 +0200

ubuntu-settings (19.10.1) eoan; urgency=medium

  * ubuntu-settings.gsettings-override: Move enable-hot-corners to interface
  * ubuntu-settings.gsettings-override: Use an array for media keys

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 24 Aug 2019 15:30:56 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog ubuntu-settings`.
